Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.handler.codec.http
Class HttpVersion

    java.lang.Object
      org.jboss.netty.handler.codec.http.HttpVersion

All Implemented Interfaces:
  Comparable<HttpVersion>

    public class HttpVersion

extends Object
implements Comparable<HttpVersion>

The version of HTTP or its derived protocols, such as RTSP and ICAP.

Version:
  $Rev: 2089 $, $Date: 2010-01-27 11:39:28 +0900 (Wed, 27 Jan 2010) $
Author:
  The Netty Project, Andy Taylor (andy.taylor@jboss.org), Trustin Lee

Field Summary
`static HttpVersion` | `HTTP_1_0` HTTP/1.0
`static HttpVersion` | `HTTP_1_1` HTTP/1.1

Constructor Summary
`HttpVersion(String text)` Deprecated. Use `HttpVersion(String, boolean)` instead.
`HttpVersion(String text, boolean keepAliveDefault)` Creates a new HTTP version with the specified version string.
`HttpVersion(String protocolName, int majorVersion, int minorVersion)` Deprecated. Use `HttpVersion(String, int, int, boolean)` instead.
`HttpVersion(String protocolName, int majorVersion, int minorVersion, boolean keepAliveDefault)` Creates a new HTTP version with the specified protocol name and version numbers.

Method Summary
`int` | `compareTo(HttpVersion o)`
`boolean` | `equals(Object o)`
`int` | `getMajorVersion()` Returns the name of the protocol such as `1` in `"HTTP/1.0"`.
`int` | `getMinorVersion()` Returns the name of the protocol such as `0` in `"HTTP/1.0"`.
`String` | `getProtocolName()` Returns the name of the protocol such as `"HTTP"` in `"HTTP/1.0"`.
`String` | `getText()` Returns the full protocol version text such as `"HTTP/1.0"`.
`int` | `hashCode()`
`boolean` | `isKeepAliveDefault()` Returns `true` if and only if the connection is kept alive unless the `"Connection"` header is set to `"close"` explicitly.
`String` | `toString()` Returns the full protocol version text such as `"HTTP/1.0"`.
`static HttpVersion` | `valueOf(String text)` Returns an existing or new `HttpVersion` instance which matches to the specified protocol version string.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### HTTP_1_0

    public static final HttpVersion HTTP_1_0

  HTTP/1.0

### HTTP_1_1

    public static final HttpVersion HTTP_1_1

  HTTP/1.1

Constructor Detail

### HttpVersion

    @Deprecated
    public HttpVersion(String text)

  Deprecated. Use `HttpVersion(String, boolean)` instead.

### HttpVersion

    public HttpVersion(String text,
                       boolean keepAliveDefault)

  Creates a new HTTP version with the specified version string. You will not need to create a new instance unless you are implementing a protocol derived from HTTP, such as RTSP and ICAP.

  Parameters:
    `keepAliveDefault` - `true` if and only if the connection is kept alive unless the `"Connection"` header is set to `"close"` explicitly.

### HttpVersion

    @Deprecated
    public HttpVersion(String protocolName,
                                  int majorVersion,
                                  int minorVersion)

  Deprecated. Use `HttpVersion(String, int, int, boolean)` instead.

### HttpVersion

    public HttpVersion(String protocolName,
                       int majorVersion,
                       int minorVersion,
                       boolean keepAliveDefault)

  Creates a new HTTP version with the specified protocol name and version numbers. You will not need to create a new instance unless you are implementing a protocol derived from HTTP, such as RTSP and ICAP

  Parameters:
    `keepAliveDefault` - `true` if and only if the connection is kept alive unless the `"Connection"` header is set to `"close"` explicitly.

Method Detail

### valueOf

    public static HttpVersion valueOf(String text)

  Returns an existing or new `HttpVersion` instance which matches to the specified protocol version string. If the specified `text` is equal to `"HTTP/1.0"`, `HTTP_1_0` will be returned. If the specified `text` is equal to `"HTTP/1.1"`, `HTTP_1_1` will be returned. Otherwise, a new `HttpVersion` instance will be returned.

### getProtocolName

    public String getProtocolName()

  Returns the name of the protocol such as `"HTTP"` in `"HTTP/1.0"`.

### getMajorVersion

    public int getMajorVersion()

  Returns the name of the protocol such as `1` in `"HTTP/1.0"`.

### getMinorVersion

    public int getMinorVersion()

  Returns the name of the protocol such as `0` in `"HTTP/1.0"`.

### getText

    public String getText()

  Returns the full protocol version text such as `"HTTP/1.0"`.

### isKeepAliveDefault

    public boolean isKeepAliveDefault()

  Returns `true` if and only if the connection is kept alive unless the `"Connection"` header is set to `"close"` explicitly.

### toString

    public String toString()

  Returns the full protocol version text such as `"HTTP/1.0"`.

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(HttpVersion o)

  Specified by:
    `compareTo` in interface `Comparable<HttpVersion>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.